Permalink
Browse files

[1.7.x] Fixed #23064 -- Added lib detection support for GDAL 1.10/1.11

Note that GDAL 1.11 is not yet officially supported, until someone
has tested it and can confirm it has no issues with Django.
Backport of 3f1412f from master.
  • Loading branch information...
claudep committed Jul 21, 2014
1 parent e2220c1 commit 6e41ae1a4e924908fc07ef6b4ce28feb31c994fd
Showing with 4 additions and 3 deletions.
  1. +3 −3 django/contrib/gis/gdal/libgdal.py
  2. +1 −0 docs/ref/contrib/gis/install/geolibs.txt
@@ -23,11 +23,11 @@
lib_names = None
elif os.name == 'nt':
# Windows NT shared libraries
- lib_names = ['gdal19', 'gdal18', 'gdal17', 'gdal16', 'gdal15']
+ lib_names = ['gdal111', 'gdal110', 'gdal19', 'gdal18', 'gdal17', 'gdal16']
elif os.name == 'posix':
# *NIX library names.
- lib_names = ['gdal', 'GDAL', 'gdal1.9.0', 'gdal1.8.0', 'gdal1.7.0',
- 'gdal1.6.0', 'gdal1.5.0']
+ lib_names = ['gdal', 'GDAL', 'gdal1.11.0', 'gdal1.10.0', 'gdal1.9.0',
+ 'gdal1.8.0', 'gdal1.7.0', 'gdal1.6.0']
else:
raise OGRException('Unsupported OS "%s"' % os.name)
@@ -28,6 +28,7 @@ Program Description Required
GDAL 1.8.0 2011-01-13
GDAL 1.9.0 2012-01-03
GDAL 1.10.0 2013-04-29
+ GDAL 1.11.0 2014-04-25 # To be tested!
PostGIS 1.3.0 2007-08-09
PostGIS 1.4.0 2009-07-24
PostGIS 1.5.0 2010-02-04

0 comments on commit 6e41ae1

Please sign in to comment.